ToDo List

 Top Next

The ToDo List add-on provides a "to-do" list style application that can be used to track tasks that you need to do. It complements the Follow Up features of PhonePad.

One of the main differences between PhonePad's ToDo List and other "to-do" lists integrates tightly with PhonePad.

To access the ToDo List, click on the ToDo List button on the Follow Up tab of the toolbar, or select ToDo List from the Tools menu.


User Interface

 Top Previous Next

The ToDo List has a simple and easy to use user interface.

The control pane can be opened and closed by clicking the small triangular button.


ToDo List Columns

The ToDo List has 7 columns.

Column

Description

Completed

Indicates whether or not the To Do task has been completed. Tasks can be marked as completed by clicking on this column.

Task

This is the name or description of the task. If a message has been dragged and dropped onto the To Do List then the task will reflect that information.

User

Indicates who a task has been assigned to. Given the appropriate permissions, you can create tasks and assign them to other users, and they can create tasks and assign them to you..

Due

If there is a Due Date for a task, it will be shown in this column.

Group Task

Tasks can be shared by any number of users. If the task is a group task then this will be indicated in this column.

Priority

Shows the priority of the task: Low, Medium or High.

Reminder

If a reminder has been set for a task, it will be indicated by the group icon in this column.


Control Pane

The Control Pane contains the controls for creating, editing and deleting ToDo tasks, and for filtering tasks.

Control

Description

Add

Indicates whether or not the To Do task has been completed. Tasks can be marked as completed by clicking on this column.

Edit

This is the name or description of the task. If a message has been dragged and dropped onto the To Do List then the task will reflect that information.

Delete

Indicates who a task has been assigned to. Given the appropriate permissions, you can create tasks and assign them to other users, and they can create tasks and assign them to you..

Recurring

If there is a Due Date for a task, it will be shown in this column.

Settings

Tasks can be shared by any number of users. If the task is a group task then this will be indicated in this column.

About

Shows the priority of the task: Low, Medium or High.

Help

If a reminder has been set for a task, it will be indicated by the group icon in this column.

Exit

Closes ToDo List.

Work

When checked, tasks defined as work tasks are shown in the list.

Personal

When checked, tasks defined as personal tasks are shown in the list.

Show Completed

When checked, completed tasks are shown in the list.

Show Expired

When checked, expired tasks are shown in the list.


ToDo List Popup Menu

Right-click on the ToDo task list to display a popup menu:

Control

Description

Add ToDo Task

Indicates whether or not the To Do task has been completed. Tasks can be marked as completed by clicking on this column.

Edit ToDo Task

Edit the selected ToDo task. This is the same as clicking the Edit button.

Delete ToDo Task

Delete the selected ToDo task. This is the same as clicking the Delete button.

Print ToDo List

Prints a copy of the ToDo List.

Open Message

If the selected ToDo Task is linked to a message in PhonePad, this will open the message.

Unselect All

Unselects any selected task in the task list.

Refresh ToDo List

Updates the ToDo List with any changes. This happens automatically but you can force a refresh using this option.


ToDo List Settings

Click the Settings button on the control pane to open the Settings window.

General settings will be selected by default.


General Settings

Control

Description

Delete Task When Completed

When checked, any task that is completed will be automatically deleted. If the task is linked to a corresponding message in PhonePad, when the message is marked as completed in PhonePad the task will be deleted from the ToDo List (however, the message will not be deleted from PhonePad).

Dim Task When Completed

Play Reminder Sound

When checked, completed tasks will be display in a light gray color.

Play Reminder Sound

When checked, the specified reminder sound will be played when a reminder is due.

Reminder Sound

Allows you to select a reminder sound (wav files only). A number of sound files are included with PhonePad.

Automatically Create Reminders for Appointments

When checked, a reminder will be automatically created when you drag and drop an Appointment Calendar appointment to the To Do List.

Auto Close Reminder After x Seconds

When checked, reminders will close themselves after the specified number of seconds.

Do Not Show Further Reminders for a Reminder I Close

When checked, when a reminder is closed it won't be shown again.

Show Reminders Every x Minutes

When checked, reminders will be shown at the interval specified.

Stay on Top of Other Windows

When checked, ToDo List will stay on top of other windows. Important: If other windows or applications use the same setting then To Do List may not appear on top.

Click OK to save your settings.


User Access

You can allow other users to see your ToDo List tasks. This applies to Work tasks only. Personal tasks are not shared.

You can give other users access to your tasks by checking the check box next to their name.

If you want to see which ToDo Lists you can access, click the Which To Do Lists Can I Access?

Who I Can Access

To get access to another user's To Do List tasks, they need to give you access. Alternatively, a Manager or System Administrator can provide that access.


Adding a ToDo Task

To add a new ToDo task, click the Add button, or right-click on the task list and select Add ToDo Task.

Control

Description

Task

Name or description of the task.

Priority

Low, Medium or High.

Due Date

You can optionally set a due date. Once the due date has passed, the due date will appear as red text.

Assigned to

A new task will automatically be assigned to you. If you have access to the To Do Lists of other users, you can assign a task to one of them.

Reminder

You can optionally set a reminder for a specified time.

Task Expires After

You can set tasks to expire by checking this box and entering the number of days. Once a task has expired it

Task Type

You can set a task to be work-related or personal.

Group Task

When set to Yes, the task will be accessible by everyone who has access to your To Do List. This allows anyone in your "group" to perform the task.

Notes

Notes can be added to this field. If this is a Group Task then everyone in the "group" can access the notes.


Editing a ToDo Task

To edit a ToDo task, click the Edit button, or right-click on the task list and select Edit ToDo Task, or double-click on the task.

In this example, the task has a priority of High and is overdue. Tsk tsk. It's also a Group Task.

Control

Description

Task

Name or description of the task.

Priority

Low, Medium or High.

Due Date

You can optionally set a due date. Once the due date has passed, the due date will appear as red text.

Assigned to

A new task will automatically be assigned to you. If you have access to the To Do Lists of other users, you can assign a task to one of them.

Reminder

You can optionally set a reminder for a specified time.

Task Expires After

You can set tasks to expire by checking this box and entering the number of days. Once a task has expired it

Task Type

You can set a task to be work-related or personal.

Group Task

When set to Yes, the task will be accessible by everyone who has access to your To Do List. This allows anyone in your "group" to perform the task.

Notes

Notes can be added to this field. If this is a Group Task then everyone in the "group" can access the notes.


Deleting a ToDo Task

To delete a ToDo task, click the Delete button, or right-click on the task list and select Delete ToDo Task.

.


Marking a ToDo Task as Completed

Marking a ToDo task as complete is as simple as clicking in the first column of the ToDo task.

LightBulb

If the task is linked to a message in PhonePad, the message will also be marked as completed. This also works the other way to. If you mark a message as completed in PhonePad, the corresponding task in the ToDo List will also be marked as completed.


Task Reminders

So that you don't forget a task on your ToDo List, you can set a reminder for the task.

When the reminder triggers a reminder window slide in from the right-side of the desktop. If you have it set to Auto Close, it will display for the number of seconds specified and then close (see Settings). You can also close it by clicking the X button.

The reminder will reappear until you mark the task as completed, or remove the reminder. You can set it to not appear again if you close it.


Dragging and Dropping Messages

You can add ToDo List tasks for phone and text messages using drag and drop.

Right-click on a message and, while holding the <alt> key and the right mouse button down, drag it to the ToDo List.

When the mouse cursor is over the task list, drop the message by releasing the right mouse button. This will add the message to the task list.


Opening Messages

If the selected task is linked to a message in PhonePad, you can open the message in PhonePad from ToDo List.

To open a task with a linked message, right-click on the message and select Open Message from the popup menu.


Managing Recurring Tasks

Click on the Recurring button to manage recurring tasks.

From this screen you can add, edit and delete recurring tasks.


Adding a Recurring Task

Click on the Add button to add a recurring ToDo List task.

Daily Recurring Tasks

Use the first slider to set a Frequency of Daily.

Use the second slider to set the number of days between the tasks.

DailyRecurringTasks \

Weekly Recurring Tasks

Use the first slider to set a Frequency of Weekly.

Monthly Recurring Tasks

Use the first slider to select a Frequency of Monthly.

Use the second slider to select the number of months between tasks.

Select which day of the month you want the task to be created. You can do this by selecting the day number, or by selecting the occurrence of a particular day.


Editing a Recurring Task

Edit a recurring task by selecting the task from the list and clicking the Edit button, or by double-clicking on the task.


Deleting a Recurring Task

Delete a recurring task by selecting it from the list and then clicking the Delete button. You will be asked to confirm the deletion.


History

 Top Previous

To Do List keeps a history of all changes made. This includes creating, editing and deleting work tasks, but does not include changes to settings or any personal tasks.

You can view individual history entries by selecting one and clicking the View button, or by double-clicking on the entry.

View History Entry